Subject: bug#14512: 24,3; buffer-offer-save doesn't seem to have any effect

From: E Sabof <[email-masked]>
Date: Fri, 31 May 2013 01:17:27 +0100

I no longer use it much, since I create/kill temporary buffers quite often.
But this is the default behavior in most programs, and I suspect many
people would want to change it. My 1 year ago self included.

On second thought, there might be a case for prompting for save only on
emacs exit, but I think it would be more natural if there was a separate
switch to do that, and it was responsible for all

(and (buffer-modified-p)
     (or (buffer-file-name)
         buffer-offer-save))

buffers.

On a related note, I get the impression that the prompt being hard coded is
a remnant from times when kill-buffer-query-functions didn't exist.

Evgeni

On Fri, May 31, 2013 at 12:09 AM, Glenn Morris <[email-masked]> wrote:

>
> If you want Emacs to
>
> 1) offer to save a buffer on exit
> 2) offer to save a buffer on C-x k
>
> then why not simply make that buffer visit a file?
>
> Because you also probably want
>
> 3) some kind of auto-save in case your computer dies while you are
> editing the buffer
>